PROBE::SOCKET.WRIT(3stap)

NAME
probe::socket.write_iter - Message send via sock_write_iter

SYNOPSIS

socket.write_iter

VALUES

family
    Protocol family value

name
    Name of this probe

protocol
    Protocol value

size
    Message size in bytes

state
    Socket state value

type
    Socket type value

flags
    Socket flags value

CONTEXT

The message sender

DESCRIPTION

Fires at the beginning of sending a message on a socket via the sock_write_iter function

SEE ALSO
tapset::socket(3stap)